Subject: Re: git-svn set-tree bug

From: Eric Wong <[email-masked]>
Date: Sun, 10 Jun 2007 14:33:22 -0700

Joakim Tjernlund <[email-masked]> wrote:
> On Sat, 2007-06-09 at 18:47 -0700, Eric Wong wrote:
> > Joakim Tjernlund <[email-masked]> wrote:
> > > trying to do git-svn set-tree remotes/trunk..svn
> > > in my new git-svn repo I get:
> > > config --get svn-remote.svn.fetch :refs/remotes/git-svn$: command returned error: 1
> > 
> > You need to specify "-i trunk" in the command-line
> > 
> > git-svn set-tree -i trunk remotes/trunk..svn
> > 
> 
> Thanks
> 
> I have found a bug or two. Run this script and
> see what happens ant the end.

<snip>

> git pull . merge

This is a non-fast-forward merge, giving you non-linear history.  git
understands non-linear history without problems, but svn does not.

> git svn dcommit  # this fails 

If you have non-linear history, don't use dcommit, use set-tree.  Linear
history is cleaner and easier to manage, which is why I recommend
format-patch/am/dcommit/rebase, and avoid using pull/merge unless it's
fast-forward.

-- 
Eric Wong